ru.yandex.clickhouse.response

## Class ByteFragmentUtils

- java.lang.Object
- - ru.yandex.clickhouse.response.ByteFragmentUtils

    public final class ByteFragmentUtils
    extends Object

### Field Summary

Fields
`static char` `ARRAY_ELEMENTS_SEPARATOR`
`static char` `STRING_QUOTATION`

### Method Summary

All Methods Static Methods Concrete Methods
`static Object` `parseArray(ByteFragment value, Class elementClass)`
`static Object` `parseArray(ByteFragment value, Class elementClass, SimpleDateFormat dateFormat)`
`static int` `parseInt(ByteFragment s)`
`static long` `parseLong(ByteFragment s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ARRAY_ELEMENTS_SEPARATOR

    public static final char ARRAY_ELEMENTS_SEPARATOR

See Also:
  Constant Field Values

#### STRING_QUOTATION

    public static final char STRING_QUOTATION

See Also:
  Constant Field Values

### Method Detail

#### parseInt

    public static int parseInt(ByteFragment s)
                        throws NumberFormatException

Throws:
  `NumberFormatException`

#### parseLong

    public static long parseLong(ByteFragment s)
                          throws NumberFormatException

Throws:
  `NumberFormatException`

#### parseArray

    public static Object parseArray(ByteFragment value,
                                    Class elementClass)

#### parseArray

    public static Object parseArray(ByteFragment value,
                                    Class elementClass,
                                    SimpleDateFormat dateFormat)